atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object The base object class for the Accessibility Toolkit API.

This class is the primary class for accessibility support via the Accessibility ToolKit (Atk). Objects which are instances of (or instances of -derived types) are queried for properties which relate basic (and generic) properties of a UI component such as name and description. Instances of may also be queried as to whether they implement other Atk interfaces (e.g. , , etc.), as appropriate to the role which a given UI component plays in a user interface.

All UI components in an application which provide useful information or services to the user must provide corresponding instances on request (in Gtk, for instance, usually on a call to ), either via Atk support built into the toolkit for the widget class or ancestor class, or in the case of custom widgets, if the inherited implementation is insufficient, via instances of a new subclass.

- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("active_descendant_changed")
  Atk.ActiveDescendantChangedHandler To be added To be added
- Method
  2.12.0.0
  System.Boolean `` `` a a To be added a To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_component_layer")
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_component_mdi_zorder")
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_description")
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_hypertext_num_links")
  System.Int32 To be added a To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_name")
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_parent")
  Atk.Object To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_role")
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_caption")
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_caption_object")
  Atk.Object To be added a To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_column_description")
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_column_header")
  Atk.Object To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_row_description")
  System.String To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_row_header")
  Atk.Object To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_table_summary")
  Atk.Object To be added an object of type To be added
- Property
  2.12.0.0
  GLib.Property("atk_object_name_property_value")
  System.Double To be added an object of type To be added
- Property
  2.12.0.0
  Atk.Attribute[] To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("children_changed")
  Atk.ChildrenChangedHandler To be added To be added
- Method
  2.12.0.0
  System.UInt32 `` an object of type To be added an object of type To be added
- Property
  2.12.0.0
  System.String To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("focus_event")
  Atk.FocusEventHandler To be added To be added
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` an object of type To be added To be added
- Property
  2.12.0.0
  Atk.Layer To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.Int32 To be added an object of type To be added
- Property
  2.12.0.0
  System.String To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type To be added To be added
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActiveDescendantChanged", Type=typeof(Atk.Object))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChildrenChanged", Type=typeof(Atk.Object))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFocusEvent", Type=typeof(Atk.Object))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetAttributes", Type=typeof(Atk.Object))
  Atk.Attribute[] To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIndexInParent", Type=typeof(Atk.Object))
  System.Int32 To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideNChildren", Type=typeof(Atk.Object))
  System.Int32 To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePropertyChange", Type=typeof(Atk.Object))
  System.Void `` To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRefChild", Type=typeof(Atk.Object))
  Atk.Object `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRefRelationSet", Type=typeof(Atk.Object))
  Atk.RelationSet To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRefStateSet", Type=typeof(Atk.Object))
  Atk.StateSet To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStateChange", Type=typeof(Atk.Object))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisibleDataChanged", Type=typeof(Atk.Object))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  Atk.Object To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("property_change")
  Atk.PropertyChangeEventHandler To be added To be added
- Method
  2.12.0.0
  Atk.Object `` an object of type To be added an object of type To be added
- Method
  2.12.0.0
  Atk.RelationSet To be added an object of type To be added
- Method
  2.12.0.0
  Atk.StateSet To be added an object of type To be added
- Method
  2.12.0.0
  System.Void `` an object of type To be added To be added
- Method
  2.12.0.0
  System.Boolean `` `` a a To be added a To be added
- Property
  2.12.0.0
  Atk.Role To be added an object of type To be added
- Event
  2.12.0.0
  GLib.Signal("state_change")
  Atk.StateChangeHandler To be added To be added
- Event
  2.12.0.0
  GLib.Signal("visible_data_changed")
  System.EventHandler To be added To be added